Return a list of chains for an environment

Return a list of chains for an environment#

Description#

Retrieves a list of chains for an environment.

GET /v1/metadata/environment/{environment_id}/chain

Parameters#

Parameter

In

Type

Required

Description

environment_id

path

string

true

The ID of the Environment.

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/environment/{environment_id}/chain', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a ChainsEnvironmentResponse containing an array of EnvironmentChain objects for the provided environment_id.

Example Responses#

{
  "data": [
    {
      "id": "1",
      "internal_id": 0,
      "name": "string",
      "description": "string",
      "created_at": "2018-03-14 20:10:39.520585",
      "updated_at": "2018-03-14 20:10:39.520585"
    }
  ]
}